# Interface methods for submodule: FastMarchingExtensionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FastMarchingImageFilterProxy as _FastMarchingImageFilterProxy


# Interface methods for class: FastMarchingExtensionImageFilter
class FastMarchingExtensionImageFilterProxy(_FastMarchingImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetAuxiliaryImage(self, idx: int):
		""""""
		...

	def SetAuxiliaryAliveValues(self, values) -> None:
		""""""
		...

	def GetAuxiliaryAliveValues(self):
		""""""
		...

	def SetAuxiliaryTrialValues(self, values) -> None:
		""""""
		...

	def GetAuxiliaryTrialValues(self):
		""""""
		...

